| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxAuiDockArt Class Referenceabstract
Class List by Category » Window Docking (wxAUI)

`#include <wx/aui/dockart.h>`

Inheritance diagram for wxAuiDockArt:
[legend]

## Detailed Description

wxAuiDockArt is part of the wxAUI class framework.

See also wxAUI Overview.

wxAuiDockArt is the art provider: provides all drawing functionality to the wxAui dock manager. This allows the dock manager to have a plugable look-and-feel.

By default, a wxAuiManager uses an instance of this class called wxAuiDefaultDockArt which provides bitmap art and a colour scheme that is adapted to the major platforms' look. You can either derive from that class to alter its behaviour or write a completely new dock art class. Call wxAuiManager::SetArtProvider to force wxAUI to use your new dock art provider.

##

Library: wxAui
Category: Window Docking (wxAUI)

See also
  wxAuiManager, wxAuiPaneInfo

## Public Member Functions

| wxAuiDockArt ()
| Constructor. More...
virtual | ~wxAuiDockArt ()
| Destructor. More...
virtual void | DrawBackground (wxDC &dc, wxWindow *window, int orientation, const wxRect &rect)=0
| Draws a background. More...
virtual void | DrawBorder (wxDC &dc, wxWindow *window, const wxRect &rect, wxAuiPaneInfo &pane)=0
| Draws a border. More...
virtual void | DrawCaption (wxDC &dc, wxWindow *window, const wxString &text, const wxRect &rect, wxAuiPaneInfo &pane)=0
| Draws a caption. More...
virtual void | DrawGripper (wxDC &dc, wxWindow *window, const wxRect &rect, wxAuiPaneInfo &pane)=0
| Draws a gripper. More...
virtual void | DrawPaneButton (wxDC &dc, wxWindow *window, int button, int button_state, const wxRect &rect, wxAuiPaneInfo &pane)=0
| Draws a button in the pane's title bar. More...
virtual void | DrawSash (wxDC &dc, wxWindow *window, int orientation, const wxRect &rect)=0
| Draws a sash between two windows. More...
virtual wxColour | GetColour (int id)=0
| Get the colour of a certain setting. More...
virtual wxFont | GetFont (int id)=0
| Get a font setting. More...
virtual int | GetMetric (int id)=0
| Get the value of a certain setting. More...
virtual void | SetColour (int id, const wxColour &colour)=0
| Set a certain setting with the value colour. More...
virtual void | SetFont (int id, const wxFont &font)=0
| Set a font setting. More...
virtual void | SetMetric (int id, int new_val)=0
| Set a certain setting with the value new_val. More...

## Constructor & Destructor Documentation

wxAuiDockArt::wxAuiDockArt | ( |  | ) |

Constructor.

virtual wxAuiDockArt::~wxAuiDockArt | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

virtual void wxAuiDockArt::DrawBackground | ( | wxDC & | dc,
|  | wxWindow * | window,
|  | int | orientation,
|  | const wxRect & | rect
| ) |  |

pure virtual

Draws a background.

Implemented in wxAuiDefaultDockArt.

virtual void wxAuiDockArt::DrawBorder | ( | wxDC & | dc,
|  | wxWindow * | window,
|  | const wxRect & | rect,
|  | wxAuiPaneInfo & | pane
| ) |  |

pure virtual

Draws a border.

Implemented in wxAuiDefaultDockArt.

virtual void wxAuiDockArt::DrawCaption | ( | wxDC & | dc,
|  | wxWindow * | window,
|  | const wxString & | text,
|  | const wxRect & | rect,
|  | wxAuiPaneInfo & | pane
| ) |  |

pure virtual

Draws a caption.

Implemented in wxAuiDefaultDockArt.

virtual void wxAuiDockArt::DrawGripper | ( | wxDC & | dc,
|  | wxWindow * | window,
|  | const wxRect & | rect,
|  | wxAuiPaneInfo & | pane
| ) |  |

pure virtual

Draws a gripper.

Implemented in wxAuiDefaultDockArt.

virtual void wxAuiDockArt::DrawPaneButton | ( | wxDC & | dc,
|  | wxWindow * | window,
|  | int | button,
|  | int | button_state,
|  | const wxRect & | rect,
|  | wxAuiPaneInfo & | pane
| ) |  |

pure virtual

Draws a button in the pane's title bar.

button can be one of the values of wxAuiButtonId. button_state can be one of the values of wxAuiPaneButtonState.

Implemented in wxAuiDefaultDockArt.

virtual void wxAuiDockArt::DrawSash | ( | wxDC & | dc,
|  | wxWindow * | window,
|  | int | orientation,
|  | const wxRect & | rect
| ) |  |

pure virtual

Draws a sash between two windows.

Implemented in wxAuiDefaultDockArt.

virtual wxColour wxAuiDockArt::GetColour | ( | int | id | ) |

pure virtual

Get the colour of a certain setting.

id can be one of the colour values of wxAuiPaneDockArtSetting.

Implemented in wxAuiDefaultDockArt.

virtual wxFont wxAuiDockArt::GetFont | ( | int | id | ) |

pure virtual

Get a font setting.

Implemented in wxAuiDefaultDockArt.

virtual int wxAuiDockArt::GetMetric | ( | int | id | ) |

pure virtual

Get the value of a certain setting.

id can be one of the size values of wxAuiPaneDockArtSetting.

Implemented in wxAuiDefaultDockArt.

virtual void wxAuiDockArt::SetColour | ( | int | id,
|  | const wxColour & | colour
| ) |  |

pure virtual

Set a certain setting with the value colour.

id can be one of the colour values of wxAuiPaneDockArtSetting.

Implemented in wxAuiDefaultDockArt.

virtual void wxAuiDockArt::SetFont | ( | int | id,
|  | const wxFont & | font
| ) |  |

pure virtual

Set a font setting.

Implemented in wxAuiDefaultDockArt.

virtual void wxAuiDockArt::SetMetric | ( | int | id,
|  | int | new_val
| ) |  |

pure virtual

Set a certain setting with the value new_val.

id can be one of the size values of wxAuiPaneDockArtSetting.

Implemented in wxAuiDefaultDockArt.